<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.ApplyUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="applyUserResultMap" type="org.springblade.estate.entity.ApplyUser">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_id" property="userId"/>
        <result column="member_id" property="memberId"/>
        <result column="name" property="name"/>
        <result column="room_id" property="roomId"/>
        <result column="room_name" property="roomName"/>
        <result column="audit_status" property="auditStatus"/>
        <result column="check_opinion" property="checkOpinion"/>
        <result column="check_date" property="checkDate"/>
        <result column="type" property="type"/>
        <result column="nationality" property="nationality"/>
        <result column="id_card" property="idCard"/>
        <result column="passport_img_uri" property="passportImgUri"/>
        <result column="entry_img_uri" property="entryImgUri"/>
        <result column="phone" property="phone"/>
        <result column="sex" property="sex"/>
        <result column="unit_id" property="unitId"/>
        <result column="unit_name" property="unitName"/>
        <result column="building_id" property="buildingId"/>
        <result column="building_name" property="buildingName"/>
        <result column="agency_id" property="agencyId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="residential_name" property="residentialName"/>
        <result column="create_type" property="createType"/>
        <result column="face_url" property="faceUrl"/>
        <result column="image_md5" property="image_md5"/>
        <result column="record_type" property="recordType"/>
        <result column="old_face_url" property="oldFaceUrl"/>
        <result column="operator_type" property="operatorType"/>
        <result column="operator_id" property="operatorId"/>
        <result column="operator_name" property="operatorName"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectApplyUserPage" resultMap="applyUserResultMap">
        select * from app_apply_user where is_deleted = 0
    </select>

</mapper>
